# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2018-02-24 19:07
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('api', '0025_auto_20180210_0138'),
    ]

    operations = [
        migrations.CreateModel(
            name='Transaction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('amount', models.IntegerField(verbose_name="montant en centimes d'euros")),
                ('date', models.DateTimeField(auto_now_add=True, verbose_name='Date/Heure de la transaction')),
                ('moyen', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.PaymentMethod', verbose_name='Moyen de paiement')),
                ('order', models.ForeignKey(default=0, on_delete=django.db.models.deletion.CASCADE, related_name='transaction_guichet', to='api.Order', verbose_name='Commande associée')),
                ('permanencier', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Personne qui a fait la transaction')),
            ],
            options={
                'verbose_name': 'Transaction physiques au guichet (CB,espèces)',
            },
        ),
    ]
